# Tests for ob-unpacksource
#
# Copyright (C) 2019 Patrick McDermott
#
# This file is part of opkbuild.
#
# opkbuild is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# opkbuild is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with opkbuild.  If not, see <http://www.gnu.org/licenses/>.

set -eu

. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
. "${TOP_SRCDIR}/tests/aux/common.sh"

plan_ 4

cp -Rp '../../src/' '../src/'

command_ok_ 'ob-unpacksource exit status' ob-unpacksource
cmd_is 'native sources unpacked' cat 'src/src/foo.sh' <<-EOF
	${FOO_SH}
	EOF

rm -Rf 'src/'

mv '../src/' 'foo/'
tar -czf '../foo-1.0.orig.tar.gz' 'foo/'
rm -Rf 'foo/'

command_ok_ 'ob-unpacksource exit status' ob-unpacksource
cmd_is 'upstream sources unpacked' cat 'src/src/foo.sh' <<-EOF
	${FOO_SH}
	EOF
